summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2019-10-19 12:15:15 +0200
committerDavid Seifert <soap@gentoo.org>2019-10-19 12:15:15 +0200
commit904dbaa9b18706f025de3c4bf4a4020a1145248e (patch)
treedf30495b10ed6280bcbcd38f87196c50a6e91326 /sys-boot/nettrom
parentapp-editors/sublime-text: Remove old (diff)
downloadgentoo-904dbaa9b18706f025de3c4bf4a4020a1145248e.tar.gz
gentoo-904dbaa9b18706f025de3c4bf4a4020a1145248e.tar.bz2
gentoo-904dbaa9b18706f025de3c4bf4a4020a1145248e.zip
sys-boot/nettrom: Port to EAPI 7
Closes: https://bugs.gentoo.org/697186 Package-Manager: Portage-2.3.77, Repoman-2.3.17 Signed-off-by: David Seifert <soap@gentoo.org>
Diffstat (limited to 'sys-boot/nettrom')
-rw-r--r--sys-boot/nettrom/nettrom-2.3.3.ebuild20
1 files changed, 13 insertions, 7 deletions
diff --git a/sys-boot/nettrom/nettrom-2.3.3.ebuild b/sys-boot/nettrom/nettrom-2.3.3.ebuild
index 15a432011ba..a0311ddca38 100644
--- a/sys-boot/nettrom/nettrom-2.3.3.ebuild
+++ b/sys-boot/nettrom/nettrom-2.3.3.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=0
+EAPI=7
DESCRIPTION="NetWinder ARM bootloader and utilities"
HOMEPAGE="http://www.netwinder.org/"
@@ -10,14 +10,20 @@ SRC_URI="http://wh0rd.org/gentoo/${P}.tar.gz"
LICENSE="all-rights-reserved"
SLOT="0"
KEYWORDS="-* arm"
-IUSE=""
RESTRICT="mirror bindist"
S=${WORKDIR}
+QA_PREBUILT="
+ /sbin/flashwrite
+ /usr/sbin/logowrite
+ /usr/sbin/logoread"
+QA_PRESTRIPPED="${QA_PREBUILT}"
+
src_install() {
- cp -r "${S}"/* "${D}"/ || die "install failed"
- cd "${D}"/usr
- mkdir share
- mv man share
+ doman usr/man/man8/flashwrite.8
+ rm -r usr/man || die
+
+ insinto /
+ doins -r .
}